Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::CSVColumnComboBox Class Reference

Combo box used to select a CSV column. More...

`#include <CSVGraphMappingConfigurationWidget.h>`

List of all members.

## Public Member Functions

- CSVColumnComboBox (QWidget *parent=NULL)
- void setCsvProperties (const CSVImportParameters &csvProperties)
    Fill the combobox with the CSV parameters.
- unsigned int getSelectedColumnIndex () const
    Get column selected by user or UINT_MAX if no valid column is selected.
- void setDefaultText (const QString &newDefaultText)
    Allow user to define it's default text.

## Detailed Description

Combo box used to select a CSV column.

## Constructor & Destructor Documentation

tlp::CSVColumnComboBox::CSVColumnComboBox | ( | QWidget * | parent = `NULL` | ) |

## Member Function Documentation

unsigned int tlp::CSVColumnComboBox::getSelectedColumnIndex | ( |  | ) | const

Get column selected by user or UINT_MAX if no valid column is selected.

Returns:
  The column selected by the user.

void tlp::CSVColumnComboBox::setCsvProperties | ( | const CSVImportParameters & | csvProperties | ) |

Fill the combobox with the CSV parameters.

The first item is not a valid choice it's just a label.

void tlp::CSVColumnComboBox::setDefaultText | ( | const QString & | newDefaultText | ) |

Allow user to define it's default text.

Tulip Software by LaBRI Visualization Team 2001 - 2012